package no.valg.valgnatt.database.forberedvalg.csv;

import org.supercsv.cellprocessor.ParseBool;
import org.supercsv.cellprocessor.ParseInt;
import org.supercsv.cellprocessor.constraint.NotNull;

public class CsvKommunerInput extends Csv {

    public CsvKommunerInput() {
        super("kommuner.csv",
                new ParseInt(),
                new NotNull(),
                new NotNull(),
                new NotNull(),
                new NotNull(),
                new ParseBool(),
                new ParseBool());
        String[] headers = new String[]{"valgaar", "valgtype", "kommnr", "kommnavn", "valgdistriktnr", "ssammenlignbar", "nssammenlignbar"};
        super.setHeader(headers);
    }

}
